Skip to main content
POST
/
v1
/
jobs
/
submit
Kling 2.6 Pro — Text to Video
curl --request POST \
  --url https://api.muvi.video/v1/jobs/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "input": {
    "prompt": "<string>",
    "aspect_ratio": "<string>",
    "duration": "<string>",
    "has_sound": "<string>"
  }
}
'
{
  "jobId": "<string>",
  "status": "<string>",
  "estimatedCompletionTime": "<string>",
  "costMicroCents": 123
}
Generate high-quality videos from text descriptions with Kling 2.6 Pro. Supports multiple aspect ratios, durations, and optional audio generation.
PropertyValue
ProviderKling
ModelKling 2.6 Pro
CapabilityText to Video
Base Cost70,000 micro-cents/second ($0.07/sec)
Processing Time~240 seconds

Request Body

model
string
required
Model slug. Use kling/kling-2.6-pro/text-to-video for text-to-video generation.
input
object
required
Input parameters for text-to-video generation.
webhookUrl
string
HTTPS URL to receive a webhook notification when the job completes or fails.

Pricing

Base cost: 70,000 micro-cents per second ($0.07/sec)
finalCost = baseCost × duration × has_sound
FactorOptionMultiplier
Duration55x
1010x
Soundfalse1x
true2x
Default cost: 5 seconds, no sound = 70,000 × 5 × 1 = 350,000 micro-cents ($0.35)

Response

jobId
string
Unique identifier for the submitted job.
status
string
Initial job status. Always "pending" on successful submission.
estimatedCompletionTime
string
ISO 8601 timestamp of the estimated completion time.
costMicroCents
number
The cost of the job in micro-cents.

Code Examples

curl -X POST https://api.muvi.video/v1/jobs/submit \
  -H "Authorization: Bearer $PIXELBYTE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "kling/kling-2.6-pro/text-to-video",
    "input": {
      "prompt": "A golden retriever running through a sunlit meadow",
      "aspect_ratio": "16:9",
      "duration": "5",
      "has_sound": "true"
    }
  }'